summaryrefslogtreecommitdiff
path: root/dev-ml
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-08-02 19:14:55 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-08-02 19:14:55 +0100
commitb24bd25253fe093f722ab576d29fdc41d04cb1ee (patch)
tree0fcf2afd9f852c4d4c291cf8afaa2c244d598105 /dev-ml
parent121ed4eec41fbf03e1998d09eede1bf449da63b9 (diff)
gentoo resync : 02.08.2019
Diffstat (limited to 'dev-ml')
-rw-r--r--dev-ml/Manifest.gzbin40975 -> 41300 bytes
-rw-r--r--dev-ml/dune/Manifest3
-rw-r--r--dev-ml/dune/dune-1.7.2.ebuild37
-rw-r--r--dev-ml/dune/metadata.xml11
-rw-r--r--dev-ml/facile/Manifest2
-rw-r--r--dev-ml/facile/facile-1.1.3.ebuild2
-rw-r--r--dev-ml/llvm-ocaml/Manifest14
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild (renamed from dev-ml/llvm-ocaml/llvm-ocaml-9999.ebuild)7
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild5
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild5
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild3
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild3
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild126
-rw-r--r--dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild (renamed from dev-ml/llvm-ocaml/llvm-ocaml-8.0.9999.ebuild)9
-rw-r--r--dev-ml/menhir/Manifest2
-rw-r--r--dev-ml/menhir/menhir-20181006.ebuild36
-rw-r--r--dev-ml/ocplib-simplex/Manifest2
-rw-r--r--dev-ml/ocplib-simplex/ocplib-simplex-0.4.ebuild33
-rw-r--r--dev-ml/seq/Manifest4
-rw-r--r--dev-ml/seq/files/seq-0.1-gentoo.patch10
-rw-r--r--dev-ml/seq/metadata.xml11
-rw-r--r--dev-ml/seq/seq-0.1.ebuild32
22 files changed, 330 insertions, 27 deletions
diff --git a/dev-ml/Manifest.gz b/dev-ml/Manifest.gz
index 168821e15557..5879ce7c2517 100644
--- a/dev-ml/Manifest.gz
+++ b/dev-ml/Manifest.gz
Binary files differ
diff --git a/dev-ml/dune/Manifest b/dev-ml/dune/Manifest
new file mode 100644
index 000000000000..6a986fd802d6
--- /dev/null
+++ b/dev-ml/dune/Manifest
@@ -0,0 +1,3 @@
+DIST dune-1.7.2.tar.gz 666745 BLAKE2B 2edda7273f92bcb9c20b5cb9a8eee75ad33c3ce1bd88406dbd51256373c554b5442096fb74ba990ee2fcec784c19ab55099e70385f040e1055a30c925cf50987 SHA512 2d53fb910fdf8774fc9ef5343831311d1d4007fe5ef47a5084596b98dd8c89b7a404912e959753d6a8d7eb8b8a923d6a7bc74dad2cdb2c80d26b3fa48373658c
+EBUILD dune-1.7.2.ebuild 768 BLAKE2B f1145e0b22edcc4e1508ae7214c0011d7e06f47ec0bb175882201c74ed38ea52fde08acab40d72cdcc924610d69c5b1a4787563d0f858d7e4033c0d44aeff4ee SHA512 78542aa9740e27b8d40d4a1d8e3830af0525a745d08efb0b6c3cf62cd8dc706d0c2f1ebc7d2ce2773a5598f54f0aa46459d0696d02711a446c1888cc4a9daf1b
+MISC metadata.xml 322 BLAKE2B f2ec51b1449266da30a270b152a5fc3628e03e3d74b4af1f609da068b98ee3659b33094f787f5efb6fe60b779356bb50a3e6ad2314c3112c38b68562b3fd108f SHA512 7255ddef00376508b8381c76f1ce1789c99f13137e6a479051c1d1a089875168c2dc50e1f997125356181e0b13aa140098c62f7cda8807852254889b220cb3bc
diff --git a/dev-ml/dune/dune-1.7.2.ebuild b/dev-ml/dune/dune-1.7.2.ebuild
new file mode 100644
index 000000000000..f771167311a4
--- /dev/null
+++ b/dev-ml/dune/dune-1.7.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multiprocessing
+
+DESCRIPTION="A composable build system for OCaml"
+HOMEPAGE="https://github.com/ocaml/dune"
+SRC_URI="https://github.com/ocaml/dune/archive/1.7.2.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+DEPEND="dev-lang/ocaml"
+RDEPEND="${DEPEND}
+ !dev-ml/jbuilder"
+BDEPEND=""
+
+RESTRICT="test"
+
+src_configure() {
+ ocaml configure.ml --libdir "${EPREFIX}/usr/$(get_libdir)/ocaml" || die
+}
+
+src_compile() {
+ ocaml bootstrap.ml || die
+ ./boot.exe -j $(makeopts_jobs) || die
+}
+
+src_install() {
+ default
+ mv "${D}"/usr/doc "${D}"/usr/share/doc/${PF}
+ mv "${D}"/usr/man "${D}"/usr/share/man
+}
diff --git a/dev-ml/dune/metadata.xml b/dev-ml/dune/metadata.xml
new file mode 100644
index 000000000000..c5012bdb96b4
--- /dev/null
+++ b/dev-ml/dune/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ocaml/dune</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ml/facile/Manifest b/dev-ml/facile/Manifest
index e588f58ffe97..f1b0b196afb4 100644
--- a/dev-ml/facile/Manifest
+++ b/dev-ml/facile/Manifest
@@ -1,4 +1,4 @@
AUX facile-1.1-make.patch 1613 BLAKE2B e469aa4820358b9d197251c6b3c6150c0aeaca8362d104441fc35e975e401776e1d23804a160cd6b37c545c769c0c856ff871d0428bbde47828fc9cc79125d20 SHA512 024132dfacce666c1f52f331fe5ec9f927dbabc1742b44aa11be7ae8851c25943afea5f2f99b3e544127b5c49af7d7337d4b59c60165a777990402855100ebc0
DIST facile-1.1.3.tar.gz 99656 BLAKE2B 19d81c48c39b96083628cc40eb9aca7e8ad7dea4ae81c884bfb22daa56135ac411698d57b68f3112829a1fc53d29612627809901c6e30eb4672776508eee57b2 SHA512 78d315188e661245eb7306b645e9baaca94db0b9511112b57dbc8597bf2f75cab5604c8f4cf850209464e802c636f592552c8b492730cb28896d2acd7f413346
-EBUILD facile-1.1.3.ebuild 1386 BLAKE2B a97641878592496d17132f0c90f73daaff1f1f4ec17f0b89bc1cc66502b54c68c702fa2a01c2aa7a5e6d1b094bba4def1f24c7bc52d36c27201421466fa4148a SHA512 71f63982de22c76204fe15d83e38313490c9aaf47d2e8ce098ccbfa5d1d9d7c44410af8c53a541e653ded68b09547938e4eca80d42c8fbcf8d33349375757ced
+EBUILD facile-1.1.3.ebuild 1385 BLAKE2B dc1c3034f0240adac565f6717f9829d3b27152c773c5157330f7eff2e5a3e3780ff5d6e4ad274acf93ea910d53fbdbe90f6eb4367324d268411e328212f2ff2a SHA512 6b76440897d80f7be9191305fbed8e9daff8c820036aa7d505debe5f3ef7be77f0aa12c3a6d3e9d44718c6bfe2851b4f90fb83161a385b3d2d42e75f70da91a2
MISC metadata.xml 357 BLAKE2B d06a43a03a328a01985ccb6d8f3c374215a678da2c7019fae195f49d86a55245cbd3fdd4b43641b0b1b92000a9546600451985421551bc1e10239cc4716c9d57 SHA512 8491e3bed96f117fe721e3e6d261d75480e0b183c06ec21d606ccf659263dc8c2642b1fd30f89aec63a2e70a725f71985119117c1c11fa3fe8b49b7c31db969c
diff --git a/dev-ml/facile/facile-1.1.3.ebuild b/dev-ml/facile/facile-1.1.3.ebuild
index 2eb0fbb4b30b..4bf113237c45 100644
--- a/dev-ml/facile/facile-1.1.3.ebuild
+++ b/dev-ml/facile/facile-1.1.3.ebuild
@@ -10,7 +10,7 @@ SRC_URI="http://opti.recherche.enac.fr/facile/distrib/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0/${PV}"
-KEYWORDS="alpha amd64 ~arm64 hppa ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
+KEYWORDS="alpha amd64 arm64 hppa ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
IUSE="+ocamlopt"
RDEPEND=">=dev-lang/ocaml-4:=[ocamlopt?]"
diff --git a/dev-ml/llvm-ocaml/Manifest b/dev-ml/llvm-ocaml/Manifest
index 6765118ab721..afbdbc3e49de 100644
--- a/dev-ml/llvm-ocaml/Manifest
+++ b/dev-ml/llvm-ocaml/Manifest
@@ -2,10 +2,12 @@ DIST llvm-5.0.2.src.tar.xz 23451868 BLAKE2B b7082be2e4ad557b29b9f6869811f262adcf
DIST llvm-6.0.1.src.tar.xz 25306628 BLAKE2B 60232d4d22f8096b565cc8d81fea0639f24f14e8fc4f66ade69fa15479181f07f655f26dff3fa24bf105762b495da316c5c9352db234bd0af6b9c3fff6d4d881 SHA512 cbbb00eb99cfeb4aff623ee1a5ba075e7b5a76fc00c5f9f539ff28c108598f5708a0369d5bd92683def5a20c2fe60cab7827b42d628dbfcc79b57e0e91b84dd9
DIST llvm-7.1.0.src.tar.xz 28313784 BLAKE2B b78d9a7fc5ef6e352e77d339e5c4eef5ccedf67c05e7abd949e72619aa8a5ed65e7e5e2008354be8e7916d75581719b99f34227838fcc86c5d0080913c2fb22c SHA512 a7dbd5693d1f2dae6b6e52893a100f9349cbfcfb25c5fdcad46364acbff0dbd3573f8fbc026c68eb9fd56335198aa94b866cc3dd7ea0cbd2cbfb5f8fe3444a7a
DIST llvm-8.0.0.src.tar.xz 30503732 BLAKE2B d89bdeb0ec7d885e49cfe5ae025da84f00502d409710c0807a3cdd58dbd47c50cf6a635593569483150f7f2ecb0de0310bd6785cb7625219bf9f6224a0d68e1c SHA512 1602343b451b964f5d8c2d6b0654d89384c80d45883498c5f0e2f4196168dd4a1ed2a4dadb752076020243df42ffe46cb31d82ffc145d8e5874163cbb9686a1f
-EBUILD llvm-ocaml-5.0.2.ebuild 2984 BLAKE2B 723a1e859c8e35f2ece65cc8dd6fdd4ef13017fa0ea8ded0c2c1e343a996828194097389b6db5fb2fd5f6c62fcfb9f443e72def7c6549037ae51816c3c7d9f64 SHA512 ba6033dab81c3abd7d9fe2e664b229cfa7f2674193287794ac1cf106a31f35db8d31795362787567d6f0703cdd216f36af3997055c594301dc29e93bd7336615
-EBUILD llvm-ocaml-6.0.1.ebuild 3148 BLAKE2B 08a61098a9782694f57d4a56dd450200abdc1fb117ff327e4005c8f81d1b5cb861bba0fdadb19e94e3d4c409b1431a5ce361bc77b0ce590c69b855b1d866e1f5 SHA512 b0cc43ae38254cf01688e4a5b375452c8d17e9a8cae89a43ea1635383516d217850f16e605de3c45c8cef993ec9c95fbcf98f4333e27770000cae6899615e631
-EBUILD llvm-ocaml-7.1.0.ebuild 3145 BLAKE2B 270cccdb5a50fb12485660336195c89de92c3a2f93defb8bfe31dd28ea155ded54a8aebffa14e5b5f31e2121da563a2269dfdec4a726c1f18c39552510c8a8ea SHA512 6f14a6decebc23a4631a4b17ffad1b5e6d342514cf9f7dae72a7780792089b070851608c0a0e4162f441fc395ea3583e0236c23794d9272b30a04e1bb3eee65e
-EBUILD llvm-ocaml-8.0.0.ebuild 3157 BLAKE2B 7c85496ecc7e89dc7126299ce38e1964494c3e073a4fd77e71d080af53f76ab5dc5e13c69c0261a9acc9ad7a58a01366ef98c543466c6f477e02339a66acdc3f SHA512 4a1a8b47634d0a73d16b0bf05fb888d230fa45606e96e73efcd6bdb2fc5ace03a138f54bcac7ae90975b578ff2ef0ea3139f8231a0ad9b84ea832fee0d3465c9
-EBUILD llvm-ocaml-8.0.9999.ebuild 3169 BLAKE2B 1f7ad169958abd781bbbcde21ecd06b43ab75492411499507816c6068de95d509a989baafad0692f8a29642dc7a1c1b172ca00d149ee1ac01a5726eb9beb1d28 SHA512 b8fd0bf8099bc2e8bb3415073d1f16c87bc9d1493966c11f84cc71436b000177fe2d78b0c3a9334ec2ebd76c8f6b19c404b44648a61eb82fadd887a0a9d8e6fa
-EBUILD llvm-ocaml-9999.ebuild 3395 BLAKE2B df9a89ef69e0d98a797980be5507a28b16a2eea0aebf1a667462c27e62a3bd05267825e37b8dd8da2bfa662dbcf8ada3078c58a75fb41ab78b9eb33f067183e9 SHA512 b8edfccd9fb78b91b1b476ebb9d982243084774765306ed0f984a86e54cdb7dcc283aad8bef3f417b7bed7d46d6b6f3320285f11b48f0da077e35bc1448379a4
+DIST llvm-8.0.1.src.tar.xz 30477608 BLAKE2B 4319c837b36111401e3b0f9659b8d875c89463bcc7816df1aefe1e3ff989860bbaa92504718f8e15416cfd9f3491c13777cd5cb661877b237b342b0e515b93f5 SHA512 82e120be5cabdfd5111aebbea68a663fe229c8861d73802d6ab09a3bf48f60de333e07e61f8fb61beaa14ac2bea24fcd74fa6f761acaf62469f536b79fcb1e16
+EBUILD llvm-ocaml-10.0.0.9999.ebuild 3395 BLAKE2B 830a412e3234bee213c16a675c2db8d433b1059b444bf7efee646b39ff86b8619d684af78746bd5471c239835340174904fb0c7127a38e4e0305735cbcd321dd SHA512 76d4b03a0731289f63c2c18627e3dfa9a265e0df832770a02f8312dc1f7cbf3d36e2af2d8d45dc850f196717436ed41ebd351e487367c6fdd120c3890b495ace
+EBUILD llvm-ocaml-5.0.2.ebuild 2957 BLAKE2B 66d6e022870116b4be40bc20706694a479577bd29b3e429d492333e7a7a3590fa1ba02397d1e76e5aba06b7b5813c69520c46e53c775d79c0b311ccc9e4d5edd SHA512 0019b664dff97399015abf4ab56c4bd7152185f9e894bff674adf095ff5ef87ba1c86f81cc8c424a229a9e84769c0a622b97c346e478cf8442defc4a60aee36b
+EBUILD llvm-ocaml-6.0.1.ebuild 3121 BLAKE2B dca92122927a7fd4c8e3213f85393e134f194ddf51f436ac2dacef59585d340fd27e6ac77bb3b9306bee3560f998805abe06a695664d6f50920c250dce413147 SHA512 e328f56e4eb855be1528a4e5fafb4ef7ddaf23592369650fdb275b3a59a7fd318c9384cf93d0d4da46403ae9ceac409a1668db76f21a9662783e6666eabc89b8
+EBUILD llvm-ocaml-7.1.0.ebuild 3121 BLAKE2B dca92122927a7fd4c8e3213f85393e134f194ddf51f436ac2dacef59585d340fd27e6ac77bb3b9306bee3560f998805abe06a695664d6f50920c250dce413147 SHA512 e328f56e4eb855be1528a4e5fafb4ef7ddaf23592369650fdb275b3a59a7fd318c9384cf93d0d4da46403ae9ceac409a1668db76f21a9662783e6666eabc89b8
+EBUILD llvm-ocaml-8.0.0.ebuild 3133 BLAKE2B f39bdfe95cddd3d162b607a72b05d5fbeccd71dc573a5d95525619dfe89352cac9d47537f7edb1a74013ebd0397ab57d8da6bf605a4685e1e49a537881c65eb8 SHA512 403d99d7d8aac24b5c0db11a9402af8c99b6b7cf9e2caec0c900a632b904558c64c86364883c460c68cb2d814fa2b13bd983b8c56f906c957a57e0d83b44677f
+EBUILD llvm-ocaml-8.0.1.ebuild 3166 BLAKE2B 6326a9a3811a74f7927d63187677f4b53b70b267e1f577773b9cd2cdd7205f164bb864993228b2b4ce1b0bf87a1fce56f11b2dd71f4242c0882dccfef5afa7c9 SHA512 c886ad555a335793ef8980007034c0e8b1606351783df88cab5fbf9fc96cd26a2dc27372a2d2d0fdfdcce6f03c4a7521c3a3125fb5ec4473ec418b5cb7a6b855
+EBUILD llvm-ocaml-9.0.0.9999.ebuild 3157 BLAKE2B 3850e745bcfbee9e966d4a8819dc448ef007681feca807a43990422f1064d55ec9efbf5c08b08d08423de1b3dfc4d7046fcfd119a3df92c809127c385c3f8b21 SHA512 d8d1fc1e7fa35bc45ae701b05f52254e8522893f83f5f0910f8399a7e22dc18379bf9f056f082ffbe2c265fd5fa217a99b783e865253b0cc797482c324e60180
MISC metadata.xml 216 BLAKE2B fe5e49887842aa513fbf1f2e09bed09a884d531fd21bdaeb2d389e8bf590b6c0e7063f0af98f66e2db129308ab0f0804ba327c3c752bbb4c900c59ac109d99aa SHA512 3485598147c953e72e1785693a489a7e7d73d59620b76054db9c0ce95d8bfa0e8ffec29da7f7a9d73a32e5b77eac07ca3306c56a972dc57fd89d477edaebf3d5
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-9999.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
index eb4bb8c24833..e354e4765340 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-9999.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
# (needed due to CMAKE_BUILD_TYPE != Gentoo)
@@ -43,14 +43,13 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo
pkg_setup() {
- llvm_pkg_setup
+ LLVM_MAX_SLOT=${PV%%.*} llvm_pkg_setup
python-any-r1_pkg_setup
}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
index ca74c5a91283..d21c45f2aac3 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -39,8 +39,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
index 0e64a225bb7b..8973393dd2af 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
index 844cf32241cb..8973393dd2af 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
index f083d7d40b80..1604aeb371f4 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
new file mode 100644
index 000000000000..154f485d0514
--- /dev/null
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
+# (needed due to CMAKE_BUILD_TYPE != Gentoo)
+CMAKE_MIN_VERSION=3.7.0-r1
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils llvm multiprocessing python-any-r1
+
+MY_P=llvm-${PV/_/}.src
+DESCRIPTION="OCaml bindings for LLVM"
+HOMEPAGE="https://llvm.org/"
+SRC_URI="https://github.com/llvm/llvm-project/releases/download/llvmorg-${PV}/${MY_P}.tar.xz"
+
+# Keep in sync with sys-devel/llvm
+ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM BPF Hexagon Lanai Mips MSP430
+ NVPTX PowerPC Sparc SystemZ WebAssembly X86 XCore )
+ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
+LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/?}
+
+LICENSE="UoI-NCSA"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug test ${ALL_LLVM_TARGETS[*]}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-lang/ocaml-4.00.0:0=
+ dev-ml/ocaml-ctypes:=
+ ~sys-devel/llvm-${PV}:=[${LLVM_TARGET_USEDEPS// /,},debug?]
+ !sys-devel/llvm[ocaml(-)]"
+# configparser-3.2 breaks the build (3.3 or none at all are fine)
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ dev-ml/findlib
+ test? ( dev-ml/ounit )
+ !!<dev-python/configparser-3.3.0.2
+ ${PYTHON_DEPS}"
+
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
+
+S=${WORKDIR}/${MY_P}
+
+# least intrusive of all
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+pkg_setup() {
+ LLVM_MAX_SLOT=${PV%%.*} llvm_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Python is needed to run tests using lit
+ python_setup
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local libdir=$(get_libdir)
+ local mycmakeargs=(
+ -DLLVM_LIBDIR_SUFFIX=${libdir#lib}
+
+ -DBUILD_SHARED_LIBS=ON
+ -DLLVM_OCAML_OUT_OF_TREE=ON
+ -DLLVM_TARGETS_TO_BUILD="${LLVM_TARGETS// /;}"
+ -DLLVM_BUILD_TESTS=$(usex test)
+
+ # disable various irrelevant deps and settings
+ -DLLVM_ENABLE_FFI=OFF
+ -DLLVM_ENABLE_TERMINFO=OFF
+ -DHAVE_HISTEDIT_H=NO
+ -DWITH_POLLY=OFF
+ -DLLVM_ENABLE_ASSERTIONS=$(usex debug)
+ -DLLVM_ENABLE_EH=ON
+ -DLLVM_ENABLE_RTTI=ON
+
+ -DLLVM_HOST_TRIPLE="${CHOST}"
+
+ # disable go bindings
+ -DGO_EXECUTABLE=GO_EXECUTABLE-NOTFOUND
+
+ # TODO: ocamldoc
+ )
+
+ use test && mycmakeargs+=(
+ -DLLVM_LIT_ARGS="-vv;-j;${LIT_JOBS:-$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")}"
+ )
+
+ # LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+ # also: custom rules for OCaml do not work for CPPFLAGS
+ use debug || local -x CFLAGS="${CFLAGS} -DNDEBUG"
+ cmake-utils_src_configure
+
+ local llvm_libdir=$(llvm-config --libdir)
+ # an ugly hack; TODO: figure out a way to pass -L to ocaml...
+ cd "${BUILD_DIR}/${libdir}" || die
+ ln -s "${llvm_libdir}"/*.so . || die
+
+ if use test; then
+ local llvm_bindir=$(llvm-config --bindir)
+ # Force using system-installed tools.
+ sed -i -e "/llvm_tools_dir/s@\".*\"@\"${llvm_bindir}\"@" \
+ "${BUILD_DIR}"/test/lit.site.cfg.py || die
+ fi
+}
+
+src_compile() {
+ cmake-utils_src_compile ocaml_all
+}
+
+src_test() {
+ # respect TMPDIR!
+ local -x LIT_PRESERVES_TMP=1
+ cmake-utils_src_make check-llvm-bindings-ocaml
+}
+
+src_install() {
+ DESTDIR="${D}" \
+ cmake -P "${BUILD_DIR}"/bindings/ocaml/cmake_install.cmake || die
+
+ dodoc bindings/ocaml/README.txt
+}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.9999.ebuild b/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
index 1d5a88b0a176..28e3cb65696c 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.9999.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
@@ -1,12 +1,12 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
# (needed due to CMAKE_BUILD_TYPE != Gentoo)
CMAKE_MIN_VERSION=3.7.0-r1
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
inherit cmake-utils git-r3 llvm multiprocessing python-any-r1
@@ -15,7 +15,7 @@ HOMEPAGE="https://llvm.org/"
SRC_URI=""
EGIT_REPO_URI="https://git.llvm.org/git/llvm.git
https://github.com/llvm-mirror/llvm.git"
-EGIT_BRANCH="release_80"
+EGIT_BRANCH="release_90"
# Keep in sync with sys-devel/llvm
ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM BPF Hexagon Lanai Mips MSP430
@@ -42,8 +42,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo
diff --git a/dev-ml/menhir/Manifest b/dev-ml/menhir/Manifest
index 2eeb316e827b..1ee95fca2267 100644
--- a/dev-ml/menhir/Manifest
+++ b/dev-ml/menhir/Manifest
@@ -1,5 +1,7 @@
DIST menhir-20170712.tar.gz 855262 BLAKE2B 259a165f30f18720ff2fb3457a8ee51dc63202860a9ad097ad6e49e2666480019b7011a11764f2c3780cf12a246c313058a35f07d100c891e07ba3ed7cb20cca SHA512 7850fa031a2bd69e9cf17db6d8f82f716ab5f9e60b34d1a53591a3ff46750fb01880f3282a7194465441abc4c2ba60f543646097f5f0eef6fe78b36266a3dbdc
DIST menhir-20171013.tar.gz 854000 BLAKE2B d50ce48d32d3bfd588520d6e5a8af4ea628089010fb286df6f87ee3f773273427f9ac6956b4b4bc1c27592aaea1f29447f0223b6b29d9cd0533c47d10eecb318 SHA512 ba6359c471aee62c996bd6495612f444e7ac226f7aad9991a76e4daa2df00cdec2387c488c6a29246ca48079bd8199b94de09a44f1fb05465cbeddff0b39df54
+DIST menhir-20181006.tar.gz 6665871 BLAKE2B 98820922c3dc9ffa27e0f9432d683aae3a1115cd5ba7d1114c57730c7dc679a918c14ef692d1287ca851c62d32aca50a034de1d4c6d4049ddf80e4694bbbae3e SHA512 a838c0b6411345ae64e21f8649367541a7e137af7e552e1dcc3da0c2212813de3d0c359dbd863d0130be897148063b406e0757fd2f18b42d43d3964963ebd4c7
EBUILD menhir-20170712.ebuild 894 BLAKE2B e62e9439edd990293f8ab860de8603a3acfcebaeb8d1822362722eca9fbe2cdd6d515ce744c40a03c7ea97f903c29f8a8c874ec004fc2b7e30cd32a529ac255f SHA512 aa34340bdb35e4e928513c2bed7c5d6f146385d8b5b6bc5a5a1e82ec9d2bf9fb4cf2c4d172f92ba547ddfc2a7b042d0138490e856228dc35c4dd0b8254e8f3c1
EBUILD menhir-20171013.ebuild 890 BLAKE2B 3de73ccdf507992b5bf71d813d85d669ad4c849fda53a05e3d797abaae8b84f3d298d0f7c7fac9faef70d16fc9d15573a653af1ba7bcf7c6483fb19b79557d29 SHA512 6a8c92fb546d5812910ea8ad9a2bb1de9ba1ed022b382c0b24932da132d35d4f18a2094e91c541171b7678831324cb4b34bd376e8bbfe8c3507b1f392affce5b
+EBUILD menhir-20181006.ebuild 891 BLAKE2B c8f146a6ca7151d4f5eb7f64bd60c71173f7afffe21f7a959fe6ca5780c27c869771ae36dc24d402a26be6ea17c162fe2fd8b8644d334e710aece20d8d6a33e9 SHA512 8507be3dfe117fcd93286049da51473b22d4c021c124e844667af870120e96dd57c614471c944856f53676611b43eddaf6bbb4fc5707d2af933d772ad72b7118
MISC metadata.xml 243 BLAKE2B 010ca240ae06e9a9f6d7ba213eb06df36d9ba862ff2d2458d98a9fea1a1e7f3026d13832a73bce1b3ad9345029425e6abfae9e03bf126f2329b3f030ed3753fd SHA512 1c5b4b2163017e496999d1f87e5c9c5ac6c11b2e9187450ccfb3df258f34e54d278972f04ee0e8429476c6f87e091a869ac2a28c6e8c8e6d20678c3e74061449
diff --git a/dev-ml/menhir/menhir-20181006.ebuild b/dev-ml/menhir/menhir-20181006.ebuild
new file mode 100644
index 000000000000..1ae3f25522f1
--- /dev/null
+++ b/dev-ml/menhir/menhir-20181006.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib eutils
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="examples +ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-4.02:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+ dev-ml/ocamlbuild"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc README.md CHANGES.md
+}
diff --git a/dev-ml/ocplib-simplex/Manifest b/dev-ml/ocplib-simplex/Manifest
index 7e0f06573773..94755b928741 100644
--- a/dev-ml/ocplib-simplex/Manifest
+++ b/dev-ml/ocplib-simplex/Manifest
@@ -1,3 +1,5 @@
DIST ocplib-simplex-0.3.tar.gz 31013 BLAKE2B 30d1541f15bf9d2c55f51ed565f2feb63c2b0fbe0095c15849a22df0876ad992a3e6c15924dbbe5a798ab278c7e171e30cda815b1de2ec9bc19fc92bbe79ad95 SHA512 43373deb6e921a31526c27d33808c3520b4f375caf9e5237179db0e8d84b5be3bf43e061e2d991fc6de694958c64c7ede0b258400fb921c4139664e367958630
+DIST ocplib-simplex-0.4.tar.gz 31784 BLAKE2B 89ebb43ba59debc658b1400b24379dcb717f44f484742a4ea2227e1692f2d1d359469add4e3c22bd15b7a5044e4d45877994b40e80f28ec8639989bf28565d9a SHA512 5eb80f0c8ad32291d24423255c0359e139cd85e2262b0cbbfaffcab66d9a7eb66c9bf04bb9d5d5c103574ec7041a72cde5412e6cb03fc9fe4a8fd257dab49a76
EBUILD ocplib-simplex-0.3.ebuild 755 BLAKE2B b3c1b4fb214ea1c3a4deb79508ebcd58eb75b753899dc63edae5b38bbedeadb9baf26a8ecd2f57e44e267e3973248fe9bfe538fdcdb55e351156c6ab9bc9954e SHA512 665c3ca7adeeb547c390742ffe3127f6783a90262b7719b119d6aa962b58d9210c4b63c3c9341fd92d7083cb472b4aab748510a45015c18faa429ce4b084d3e9
+EBUILD ocplib-simplex-0.4.ebuild 755 BLAKE2B f2dd7fb038c8784f8a3490e14e740a31771fb72446ccd8082da85aef3ec63f64af2018d1a0415dea85e7f414413e258a0f74cb0a00897a7337874acdffb3c948 SHA512 8d5ffc9f7571446d50031b917c9b53f89fca7d7c40f04da55cd9853d9a67ba2582e3135abe08b3dd6070b174e770363c5d095e1bdd892998b19cf75d74d9e56f
MISC metadata.xml 410 BLAKE2B 517ce557434537aa6fcaf30b4d9ff7aab1c817bd3bdb9f4d2a7f7a8556e3911db55a79d6cadebe86ba018577ad9a1434b3073ed8811513a72c1522069f8bed41 SHA512 caf6a675ff8f7950d06b2ed55e0d8a1eed290fe4f14a68fc87e9c60b6b394cc029787692be7041b7d7e727d6187249ba61a324315742c1af50556496da23eb0f
diff --git a/dev-ml/ocplib-simplex/ocplib-simplex-0.4.ebuild b/dev-ml/ocplib-simplex/ocplib-simplex-0.4.ebuild
new file mode 100644
index 000000000000..eb9269280d79
--- /dev/null
+++ b/dev-ml/ocplib-simplex/ocplib-simplex-0.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools findlib multilib
+
+DESCRIPTION="A library implementing a simplex algorithm"
+HOMEPAGE="https://github.com/OCamlPro-Iguernlala/ocplib-simplex"
+SRC_URI="https://github.com/OCamlPro-Iguernlala/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+DOCS="CHANGES.md README.md extra/simplex_invariants.txt extra/TODO.txt"
+
+src_prepare() {
+ default
+ mv configure.{in,ac} || die
+ sed -i -e "s:configure.in:configure.ac:g" \
+ Makefile.in
+ eautoreconf
+}
+
+src_install() {
+ findlib_src_install LIBDIR="${D}"/usr/"$(get_libdir)"/ocaml
+}
diff --git a/dev-ml/seq/Manifest b/dev-ml/seq/Manifest
new file mode 100644
index 000000000000..4f5009c8d1ab
--- /dev/null
+++ b/dev-ml/seq/Manifest
@@ -0,0 +1,4 @@
+AUX seq-0.1-gentoo.patch 309 BLAKE2B c80895e464359e67350ee3f0a183f3dfde63d718775876acad3905446c62dac229ad173b334020f4b2d51807b37d15e526ea98fd3ce2bf27ee8fe751c77c6d11 SHA512 0f93ed7035bc7138518b99471d64cf6144cfd3d4aeb08445a7fc6b2ae631a96a242a1dceaa5014b6503149ad24a1f048c1f0ea435ff38e8c76452f0bafffe540
+DIST seq-0.1.tar.gz 2452 BLAKE2B 4f673c3909611957fc882c548c8549cbcad1e93101e1968f001609108b89f4cee13b055a7a8e75e9c36d33074863532b7d84461f036d14c468d5baadde411295 SHA512 cf0df428408efd8f593765c419007c3b181c1234fa957bd09bd96bbbbc7950dcd329429a8a22573680fdfd46847e21befae29ade967509690428ba2b90fe83f2
+EBUILD seq-0.1.ebuild 627 BLAKE2B 1d3b7e89ceee19d671d3b80a20b367e1a040e07fbb51262f837936ca6cccfb5ca30f1d45274ebb845a322e2a2c5286996cf43fb10a36ffbaa2dcd806bd3dfb77 SHA512 016c0ec96d2eebf9045105365af0d4a3a60ece2211373f758f52b5932278c92387fb43a84873aadffa86303e50db34d6a35a79fd820f6aaa8249d271ac902fc8
+MISC metadata.xml 375 BLAKE2B c6d166cdc6fbcce412dd0f1d78f8d1f54635d25c89e12d762e0f967a85c1a315c4912a58cdf8075c784881dcb507594d73cec30cd09e575877696a17b616d868 SHA512 dc49b250f3706af5b0f3a589bace4bd06c900d6d5f0551ae311090985c4267592a385c007f09423be4a37793e00cbe8275aa1faeee2df7f6858f67260cbd7932
diff --git a/dev-ml/seq/files/seq-0.1-gentoo.patch b/dev-ml/seq/files/seq-0.1-gentoo.patch
new file mode 100644
index 000000000000..1b3de2b9c12f
--- /dev/null
+++ b/dev-ml/seq/files/seq-0.1-gentoo.patch
@@ -0,0 +1,10 @@
+--- a/Makefile 2019-07-21 21:17:32.334645928 +0200
++++ b/Makefile 2019-07-21 21:18:28.565894767 +0200
+@@ -9,6 +9,6 @@
+ TOINSTALL=$(wildcard _build/src/*)
+
+ install:
+- ocamlfind install seq META $(TOINSTALL)
++ ocamlfind install -destdir $(DESTDIR)@LIBDIR@ seq META $(TOINSTALL)
+
+ .PHONY: build clean install
diff --git a/dev-ml/seq/metadata.xml b/dev-ml/seq/metadata.xml
new file mode 100644
index 000000000000..4b96cb1315b7
--- /dev/null
+++ b/dev-ml/seq/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>tupone@gentoo.org</email>
+ <name>Tupone Alfredo</name>
+ </maintainer>
+ <longdescription lang="en">
+ Compatibility package for OCaml's standard iterator type starting from 4.07.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-ml/seq/seq-0.1.ebuild b/dev-ml/seq/seq-0.1.ebuild
new file mode 100644
index 000000000000..3a5b9b4aa827
--- /dev/null
+++ b/dev-ml/seq/seq-0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Compatibility package for the standard OCaml iterator type"
+HOMEPAGE="https://github.com/c-cube/seq"
+SRC_URI="https://github.com/c-cube/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-ml/ocamlbuild"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s:@LIBDIR@:/usr/$(get_libdir)/ocaml:" \
+ Makefile \
+ || die
+}
+
+src_install() {
+ dodir /usr/$(get_libdir)/ocaml
+ default
+}